

<div class="page-header">
  <h3 class="page-title">
    Formatos
  </h3>
  <nav aria-label="breadcrumb">
    <ol class="breadcrumb">
      <li class="breadcrumb-item"><a routerLink="/">Inicio</a></li>
      <li class="breadcrumb-item active" aria-current="page">Formatos</li>
    </ol>
  </nav>
</div>
<!-- boton  -->
<div class="row d-flex justify-content-between align-items-baseline" style="margin-right:auto; margin-left:auto;">
  <div></div>
  <button type="button" class="btn btn-dark btn-fw" (click)="openModal(MC)">
    <i class="mdi mdi-plus-box">Crear formato</i>
  </button>
</div>
<!-- boton -->
<!-- Inicio de table -->
<div class="row">
  <div class="col-md-12 grid-margin stretch-card">
    <div class="card">
      <div class="card-body">
        <div class="d-sm-flex align-items-center mb-4">
          <h4 class="card-title mb-sm-0">Listado de formatos de producto</h4>
        </div>
        <div class="table-responsive border rounded p-1">
          <table datatable [dtOptions]="dtOptions" [dtTrigger]="dtTrigger" class="table table-striped">
            <thead>
              <tr>
                <th class="font-weight-bold">Tipo producto</th>
                <th class="font-weight-bold">Nombre</th>
                <th class="font-weight-bold">Valor</th>
                <th class="font-weight-bold">Descuento</th>
                <th class="font-weight-bold">Valor valorización</th>
                <th class="font-weight-bold">Fecha valorización</th>
                <th class="font-weight-bold">Acciones</th>
              </tr>
            </thead>
            <tbody>
              <tr *ngFor="let item of itemProducts">
                <td>{{ item.producto.nombre }}</td>
                <td>{{ item.nombre }}</td>
                <td>{{ item.valor }}</td>
                <td>{{ item.descuento }}</td>
                <td>{{ item.valor_valorizacion }}</td>
                <td>{{ item.fecha_valorizacion }}</td>
                <td>
                  <button type="button" class="btn btn-inverse-dark btn-icon">
                    <i class="mdi mdi-grease-pencil"></i>
                  </button>
                </td>
              </tr>
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </div>
</div>
<!-- Fin de table -->

<!-- Modal crear inicio -->
<ng-template class="modal fade" #MC let-modal>
  <div class="modal-content">
    <div class="modal-header">
      <button type="button" class="close" data-bs-dismiss="modal" aria-label="Close" (click)="modal.dismiss()">
        <span aria-hidden="true">&times;</span>
      </button>
    </div>
    <div class="modal-body">
      <div class="col-12 stretch-card">
        <div class="card-body" [formGroup]="productCreate">
          <h4 class="card-title">Crear formato</h4>
          <div class="form-group">
            <label for="producto_id">Producto</label>
            <div class="input-group mb-3">
              <div class="input-group-prepend">
              </div>
              <select class="custom-select" id="producto_id" formControlName="producto_id">
                <option selected>Seleccione un tipo de producto</option>
                <option *ngFor="let item of tipoProducto" [value]="item.id">{{ item.nombre }}</option>
              </select>
            </div>
          </div>
          <div class="forms-sample">
            <div class="form-group">
              <label for="exampleInputName2">Nombre de formato</label>
              <input type="text" class="form-control" id="exampleInputName2" placeholder="Ingrese un nombre" #nombre
                style="background-color:dark" formControlName="nombre">
            </div>
          </div>
          <div class="forms-sample">
            <div class="form-group">
              <label for="exampleInputName2">Valor</label>
              <input type="number" class="form-control" id="exampleInputName2" placeholder="$"
                #valor style="background-color:dark" formControlName="valor">
            </div>
          </div>
          <!-- inicio agregar ingrediente -->
          <div class="card">
            <div class="card-body">
              <ng-container formArrayName="ingredientes">
                <div class="table-responsive pt-3">
                  <table class="table table-bordered">
                    <thead>
                      <tr>
                        <th>Ingrediente</th>
                        <th>Cantidad utilizada</th>
                        <th>
                          <i class="mdi mdi-plus-box" (click)="addIngrediente()">agregar</i>
                        </th>
                      </tr>
                    </thead>
                    <tbody>
                      <ng-container *ngFor=" let ingredientesFormGroup of ingredientes.controls; let i = index">
                        <tr [formGroupName]="i">
                          <td>
                            <div class="form-group">
                              <div class="input-group">
                                <div class="input-group-prepend">
                                </div>
                                <select class="custom-select" id="id" formControlName="id">
                                  <option [ngValue]="null" selected>Seleccione</option>
                                  <option *ngFor="let item of tipoIngrediente" [value]="item.id">{{ item.nombre }}</option>
                                </select>
                              </div>
                            </div>
                          </td>
                          <td>
                            <div class="forms-sample">
                              <div class="form-group">
                                <input type="number" class="form-control" id="exampleInputName2" placeholder="Ingrese una cantidad" #cantidad
                                  style="background-color:dark" formControlName="cantidad">
                              </div>
                            </div>
                          </td>
                          <td>
                            <i class="remove mdi mdi-close" (click)="removeIngrediente(i)"></i>
                          </td>
                        </tr>
                      </ng-container>
                    </tbody>
                  </table>
                  <br>
                </div>
              </ng-container>
            </div>
          </div>
          <!-- final agregar ingrediente -->
        </div>
      </div>
    </div>
    <div class="modal-footer">
      <button type="submit" class="btn btn-primary mr-2"
        (click)="crearProducto(productCreate.value, modal)">Crear</button>
      <button type="button" class="btn btn-danger" data-dismiss="modal" (click)="modal.dismiss()">Cancelar</button>
    </div>
  </div>
</ng-template>

<!-- Modal crear rol final -->
